import request from '@/utils/request'

// 省市列表
export function getTreeList() {
  return request({
    url: '/api/v1/mp/admin/area/tree/list',
    method: 'post',
  })
}

// 运费模板列表
export function getTemplateList() {
  return request({
    url: '/api/v1/mp/admin/shipping/template/list',
    method: 'post',
  })
}

// 创建运费模板
export function addTemplateList(data) {
  return request({
    url: '/api/v1/mp/admin/shipping/template/create',
    method: 'post',
    data
  })
}

//运费模板详情
export function getTemplateDetail(id) {
  return request({
    url: `/api/v1/mp/admin/shipping/template/detail/${id}`,
    method: 'post',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
  })
}

//编辑
export function setTemplateDetail(data) {
  return request({
    url: '/api/v1/mp/admin/shipping/template/update',
    method: 'post',
    data
  })
}
